Bug 91736 - netstat output problem when ipv6 is enabled
Summary: netstat output problem when ipv6 is enabled
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-27 19:23 UTC by Olivier Benghozi
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 15:30:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Olivier Benghozi 2003-05-27 19:23:19 UTC
Description of problem:
Netstat is unable to print full ipv6 addresses. More, it's unable to print 
ipv4 on ipv6 sockets adresses (::ffff:a.b.c.d addresses). Output formatting of 
netstat is trashed.


How reproducible:
Always

Steps to Reproduce:
IPV6 is enabled.
Some ipv6 client connect on the ipv6 server.
In the same time, ipv4 client connects on processes using ipv6 sockets.

Command used: netstat -n

Actual Results:
tcp        0      0 ::ffff:10.200.200.10:22 ::ffff:10.200.200.:3155 ESTABLISHED
tcp        0    298 2001:abc:def::100:3378 3ffe:501:4819:2000:2:80 ESTABLISHED 

You see somethings lacks at the end of each foreign address.


Expected Results:
tcp        0      0 ::ffff:10.200.200.10:22 ::ffff:10.200.200.111:3155 
ESTABLISHED
tcp        0    298 2001:abc:def::100:3378 
3ffe:501:4819:2000:2000:203:47ff:fea5:3085:80 ESTABLISHED

Addresses are complete!


Additional info:
This bug renders netstat useless if ipv6 is in use.

Comment 1 Radek Vokal 2004-12-10 15:30:58 UTC
The space of IPv6 adress was extended in net-tools-1.60-40. There
won't be a backport to RH9.


Note You need to log in before you can comment on or make changes to this bug.